petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscOptionsSetAlias

Makes a key and alias for another key

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsSetAlias(PetscOptions options,const char newname[],const char oldname[])

Logically Collective

### Input Parameters

| options | - options database, or NULL for default global database
| newname | - the alias
| oldname | - the name that alias will refer to

The collectivity of this routine is complex; only the MPI processes that call this routine will have the affect of these options. If some processes that create objects call this routine and others do not the code may fail in complicated ways because the same parallel solvers may incorrectly use different options on different ranks.

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),OptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(),PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

advanced

### Location

src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages